
%ifos aix6.1 || %ifos aix7.1
%global p7build 1
%else
%global p7build 0
%endif

Name:		clzip
Version:	1.11
%if %{p7build}
Release:        1.p7
%else
Release:        1
%endif
Summary:	Lossless Data Compressor based on the LZMA Algorithm
Source0:	http://mirrors.zerg.biz/nongnu/%{name}/%{name}-%{version}.tar.gz
Source1:	http://mirrors.zerg.biz/nongnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.nongnu.org/lzip/clzip.html
Group:		Productivity/Archiving/Compression
License:	GNU General Public License version 3 (GPL v3)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	/sbin/install-info, info

%if %{p7build}
%ifos aix6.1
Requires: AIX-rpm >= 6.1.8.0
%endif
%ifos aix7.1
Requires: AIX-rpm >= 7.1.3.0
%endif
%endif

%description
Clzip is a lossless data compressor based on the LZMA algorithm, with very safe
integrity checking and a user interface similar to the one of gzip or bzip2.
Clzip decompresses almost as fast as gzip and compresses better than bzip2,
which makes it well suited for software distribution and data archiving.

Clzip uses the lzip file format; the files produced by clzip are fully
compatible with lzip-1.4 or newer. Clzip is in fact a C language version of
lzip, intended for embedded devices or systems lacking a C++ compiler. 


%prep
%setup -q
%if %{p7build}
%else
%patch0

# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF
%endif


%build
export CC="xlc_r"

./configure \
    --prefix="%{_prefix}" \
    CC="${CC}" \
    CFLAGS="${CFLAGS}" \
    CXX="${CXX}" \
    CXXFLAGS="${CXXFLAGS}"

gmake %{?_smp_mflags}


%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cp doc/%{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cp doc/%{name}.info ${RPM_BUILD_ROOT}%{_infodir}/%{name}.info
chmod 0644 ${RPM_BUILD_ROOT}%{_infodir}/*
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -s ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_infodir}/*info*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Mon Jan 14 2019 Michael Perzl <michael@perzl.org> - 1.11-1
- updated to version 1.11

* Tue Jun 12 2018 Michael Perzl <michael@perzl.org> - 1.10-1
- updated to version 1.10

* Thu Jun 01 2017 Michael Perzl <michael@perzl.org> - 1.9-1
- updated to version 1.9

* Wed Jun 22 2016 Michael Perzl <michael@perzl.org> - 1.8-1
- updated to version 1.8

* Thu Jul 16 2015 Michael Perzl <michael@perzl.org> - 1.7-1
- updated to version 1.7

* Fri Nov 07 2014 Michael Perzl <michael@perzl.org> - 1.6-1
- updated to version 1.6

* Mon Sep 30 2013 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Tue Mar 05 2013 Michael Perzl <michael@perzl.org> - 1.4-1
- updated to version 1.4

* Mon Mar 26 2012 Michael Perzl <michael@perzl.org> - 1.3-1
- updated to version 1.3

* Mon May 23 2011 Michael Perzl <michael@perzl.org> - 1.2-1
- updated to version 1.2

* Sat Jan 15 2011 Michael Perzl <michael@perzl.org> - 1.1-1
- updated to version 1.1

* Thu Apr 08 2010 Michael Perzl <michael@perzl.org> - 1.0-1
- first version for AIX V5.1 and higher
